Unable to build with qt 5.6.2, FreeBSD 11-RELEASE amd64

Compilator output: https://paste.pztrn.name/1496/

But I think this isn't about FreeBSD only, same behaviour on macOS with qt 5.7.0, on Linux with qt 5.6-5.7 (Ubuntu, Gentoo).

Re: Unable to build with qt 5.6.2, FreeBSD 11-RELEASE amd64

Try adding the following line to src/commands/command.h just before the #include-s:

class QIODevice;

Regards,
Michał

Re: Unable to build with qt 5.6.2, FreeBSD 11-RELEASE amd64

Thanks, that worked.

Could source archive be updated with this change, please?

Re: Unable to build with qt 5.6.2, FreeBSD 11-RELEASE amd64

Okay, another problem - it crashes whet trying to open an issue. Any issue.

Tried GDB:

Program received signal SIGBUS, Bus error.
[Switching to Thread 810616000 (LWP 102216/webissues)]
0x00000008123a3bc5 in QXcbGlIntegrationPlugin::qt_metacall () from /usr/local/lib/libQt5XcbQpa.so.5

Sorry, not much debugging, Qt5 was installed with pkg, which (apparently) stripped from debug symbols :(

Re: Unable to build with qt 5.6.2, FreeBSD 11-RELEASE amd64

Unfortunately I have no idea what this error means, it looks like some kind of bug in Qt.

Regards,
Michał